/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
.main-header-sticky {
    opacity: 0;
}
.main-header-sticky.elementor-sticky--effects {
    opacity: 1;
}
.main-header-sticky .btn-with-arrow + .btn-with-near-arrow .elementor-button svg path,
.about-main-header .btn-with-arrow + .btn-with-near-arrow .elementor-button svg path {
    stroke: #fff !important;
}
.main-header-sticky .btn-with-near-arrow .elementor-button:hover svg path,
.about-main-header .btn-with-near-arrow .elementor-button:hover svg path {
    stroke: #fff !important;
}
.btn-with-arrow:hover + .btn-with-near-arrow .elementor-button {
    background-color: #1B1B28;
}
.btn-with-arrow:hover + .btn-with-near-arrow .elementor-button svg path {
    stroke: #fff !important;
}
.btn-with-near-arrow .elementor-button:hover svg path {
    stroke: #fff !important;
}
.btn-with-near-arrow:hover ~ .btn-with-arrow .elementor-button {
    background-color: #1B1B28;
}
.footer-form select#form-field-field_723d5f3 {
    -webkit-appearance: none;
    -moz-appearance: none;
    background: transparent;
    background-image: url(/wp-content/uploads/2024/10/dropdown_arrow.svg);
    background-repeat: no-repeat;
    background-position-x: 98%;
    background-position-y: 18px;
}
.popup-enquiry-form select#form-field-field_3cd0f7e,
.services-enquiry-form select#form-field-field_d77caa8 {
    -webkit-appearance: none;
    -moz-appearance: none;
    background: transparent;
    background-image: url(/wp-content/uploads/2024/10/popup-form-drodown-arrow.svg);
    background-repeat: no-repeat;
    background-position-x: 98%;
    background-position-y: 18px;
}
.footer-form .select-caret-down-wrapper, .popup-enquiry-form .select-caret-down-wrapper, .services-enquiry-form .select-caret-down-wrapper {
    display: none;
}
.footer-form .elementor-field-type-submit:after {
    content: "";
    position: absolute;
    right: -32px;
    background-color: #CBEC79;
    height: 54px;
    width: 54px;
    border-radius: 100px;
    background-image: url(/wp-content/uploads/2024/10/button-arrow.svg);
    background-repeat: no-repeat;
    background-position: center;
    transition: all .3s;
}
.footer-form .elementor-field-textual{
    padding-left: 0px!important; 
}
.footer-form textarea::placeholder{
    padding-top: 15px!important;
    padding-left: 15px!important;
}
.popup-enquiry-form .elementor-field-type-submit:after {
    content: "";
    position: absolute;
    right: -48px;
    background-color: #CBEC79;
    height: 54px;
    width: 54px;
    border-radius: 100px;
    background-image: url(/wp-content/uploads/2024/10/button-arrow.svg);
    background-repeat: no-repeat;
    background-position: center;
    transition: all .3s;
}
.services-enquiry-form .elementor-field-type-submit:after {
    content: "";
    background-color: #1B1B28;
    height: 58px;
    width: 58px;
    border-radius: 100px;
    background-image: url(/wp-content/uploads/2024/11/service-form-btn-arrow.svg);
    background-repeat: no-repeat;
    background-position: center;
    transition: all .3s;
}
.footer-form .elementor-field-type-submit, 
.btn-with-arrow .elementor-button, 
.popup-enquiry-form .elementor-field-type-submit, 
.services-enquiry-form .elementor-field-type-submit {
    position: relative;
}
.footer-form .elementor-field-type-submit:hover:after, .popup-enquiry-form .elementor-field-type-submit:hover:after {
    background-color: #F5FFF6;
}
.btn-with-arrow .elementor-button:after {
    content: "";
    position: absolute;
    right: -57px;
    background-color: #CBEC79;
    height: 58px;
    width: 58px;
    border-radius: 100px;
    background-image: url(/wp-content/uploads/2024/10/button-arrow.svg);
    background-repeat: no-repeat;
    background-position: center;
    top: 0;
    transition: all .3s;
}
.btn-with-arrow .elementor-button:hover:after {
    background-color: #F5FFF6;
}
.btn-with-arrow-blk .elementor-button:after {
    background-color: #1B1B28 !important;
    background-image: url(/wp-content/uploads/2024/11/btn-blk-arrow.svg) !important;
}
.btn-with-arrow-blk .elementor-button:hover:after {
    background-color: #F5FFF6 !important;
}
.btn-grn .elementor-button:after {
    background-color: #1b1b28;
    background-image: url(/wp-content/uploads/2024/11/btn-blk-arrow.svg);
}
.btn-grn .elementor-button:hover:after {
    background-image: url(/wp-content/uploads/2024/10/button-arrow.svg);
}
.cities-list li.elementor-icon-list-item {
    border: 1px solid #E5E6DF;
    border-radius: 18px;
    padding: 8px 15px;
    margin-bottom: 15px;
}
.cities-list li.elementor-icon-list-item:hover {
    background-color: #CBEC79;
    border-color: #CBEC79;
}
.elementor-field:focus, .elementor-field-textual:focus {
    outline: none !important;
    box-shadow: none !important;
}
span.text-dash {
    background-image: url(/wp-content/uploads/2024/11/text-dash.svg);
    background-size: 150px;
    background-position: 34% 50%;
    background-repeat: no-repeat;
}
.cat-title-list-title:after {
    content: url("/wp-content/uploads/2024/11/cat-title-arrow.svg");
}
.cat-title-list-title:hover:after {
    content: url("/wp-content/uploads/2024/11/cat-title-arrow-hover.svg");
}
.cat-title-list-title {
    display: flex;
    align-items: center;
    gap: 15px;
}
.blog-tags h5 {
    display: none;
}
.blog-tags a.tag-cloud-link {
    padding: 10px;
    border: 1px solid #DDDDDD;
    border-radius: 20px;
    font-size: 12px !important;
    color: #1b1b1b;
    line-height: 45px;
    background: #fff;
}
.blog-tags a.tag-cloud-link:hover {
    border: 1px solid #CBEC79;
}
.blog-list-format nav.elementor-pagination .page-numbers {
    border: 1px solid #D6D6D6;
    padding: 10px 20px;
    border-radius: 4px;
    font-size: 20px;
}
.blog-list-format nav.elementor-pagination .page-numbers.current {
    background: #1b1b1b;
}
.blog-list-format nav.elementor-pagination .page-numbers:hover {
    background: #1b1b1b;
}
.blog-list-format nav.elementor-pagination .page-numbers.prev:hover {
    color: #ffffff !important;
}
.blog-page-meta-info span.elementor-post-info__terms-list {
    background: #CBEC79;
    border-radius: 30px;
    padding: 10px 15px;
}
.blog-page-meta-info .elementor-post-info__item--type-date {
    color: #6B7A7A;
}
.blog-page-meta-info .elementor-post-info__item--type-date:before {
    content: "●";
    color: #1b1b1b;
    padding-right: 10px;
}
.blog-next-prev .post-navigation__arrow-prev i {
    content: "";
    width: 35px;
    height: 35px;
    background-image: url(/wp-content/uploads/2024/11/prev-arrow.svg);
    background-repeat: no-repeat;
    background-position: center;
    display: block;
    border-radius: 8px;
}
.blog-next-prev .post-navigation__arrow-prev i:hover {
    background-color: #000;
    background-image: url(/wp-content/uploads/2024/11/prev-arrow-green.svg);
}
.blog-next-prev .post-navigation__arrow-next i {
    content: "";
    width: 35px;
    height: 35px;
    background-image: url(/wp-content/uploads/2024/11/next-arrow.svg);
    background-repeat: no-repeat;
    background-position: center;
    display: block;
    border-radius: 8px;
}
.blog-next-prev .post-navigation__arrow-next i:hover {
    background-color: #000;
    background-image: url(/wp-content/uploads/2024/11/next-arrow-green.svg);
}
.blog-next-prev .elementor-post-navigation__next a:hover i {
    background-color: #000;
    background-image: url(/wp-content/uploads/2024/11/next-arrow-green.svg);
}
.blog-next-prev .elementor-post-navigation__prev a:hover i {
    background-color: #000;
    background-image: url(/wp-content/uploads/2024/11/prev-arrow-green.svg);
}
.contact-page-form select {
    -webkit-appearance: none;
    -moz-appearance: none;
    background: transparent;
    background-image: url(/wp-content/uploads/2024/10/popup-form-drodown-arrow.svg) !important;
    background-repeat: no-repeat;
    background-position-x: 98%;
    background-position-y: 18px;
}
.contact-page-form .elementor-field-type-submit:after {
    background-color: #1B1B28 !important;
    background-image: url(/wp-content/uploads/2024/11/contact-form-btn-arrow.svg) !important;
    right: -28px;
}
.contact-page-form .elementor-field-type-submit:hover:after {
    background-color: #F5FFF6 !important;
    background-image: url(/wp-content/uploads/2024/11/contact-form-btn-arrow-blk.svg) !important;
}
.sub-menu-services span.elementor-icon-list-text {
    border-bottom: 4px solid #fff;
}
.sub-menu-services span.elementor-icon-list-text:hover {
    border-bottom: 4px solid #CBEC79;
}
.mobile-popup-menu span.sub-arrow svg path {
    fill: #fff;
}
.mobile-popup-menu .elementor-item.has-submenu {
    justify-content: space-between;
}
.mobile-popup-menu li.menu-item a.elementor-sub-item {
    text-transform: capitalize !important;
}
/*services slider */
.ser-box {
    position: relative;
    overflow: hidden;
    transition: background-size 0.5s ease-in-out;
    background-size: 100%!important; 
    background-position: center!important;
    
}
.ser-box:hover {
    background-size: 120%!important;
    transition: background-size 0.5s ease-in-out;

}

.ser-box .elementor-widget-container {
    position: relative;
    z-index: 1; 
}

/* ===== Scrollbar CSS ===== */
/* Firefox */
* {
scrollbar-width: thin;
scrollbar-color: #cbec79 #ffffff;
}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
width: 10px;
}

*::-webkit-scrollbar-track {
background: #ffffff;
}

*::-webkit-scrollbar-thumb {
background-color: #cbec79;
border-radius: 16px;
border: 3px solid #ffffff;
}

/* Smartphones (portrait and landscape) ----------- */
@media only screen and (min-device-width : 320px) and (max-device-width : 480px) {
.footer-form .elementor-field-type-submit:after {
    right: -24px;
    height: 46px;
    width: 46px;
}
.btn-with-arrow .elementor-button:after {
    right: -49px;
    height: 50px;
    width: 50px;
}
.blog-carousel .elementor-swiper-button {
    display: none !important;
}
.cities-list li.elementor-icon-list-item {
    border: 1px solid #E5E6DF;
    border-radius: 24px;
    padding: 6px 12px;
    margin-bottom: 10px;
    font-size: 12px;
}
.popup-enquiry-form .elementor-field-type-submit:after {
    height: 46px;
    width: 46px;  
    right: -40px;  
}
.services-enquiry-form .elementor-field-type-submit:after {
    height: 50px;
    width: 50px;
}
.contact-page-form .elementor-field-type-submit:after {
    right: -20px;
}
div#wpfront-scroll-top-container {
    bottom: 65px;
}
.text-border {
    border-bottom: 10px solid #CBEC79;
    height: 30px;
    display: inline-block;
}
}

/* iPads (portrait and landscape) ----------- */
@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) {
.footer-form .elementor-field-type-submit:after {
    right: -24px;
    height: 46px;
    width: 46px;
}
.btn-with-arrow .elementor-button:after {
    right: -49px;
    height: 50px;
    width: 50px;
}
.blog-carousel .elementor-swiper-button {
    display: none !important;
}
.popup-enquiry-form .elementor-field-type-submit:after {
    height: 46px;
    width: 46px;  
    right: -40px;  
}
.services-enquiry-form .elementor-field-type-submit:after {
    height: 50px;
    width: 50px;
}
.contact-page-form .elementor-field-type-submit:after {
    right: -20px;
}
}

@media only screen and (min-width: 1030px) and (max-width: 1280px) { 
.footer-form .elementor-field-type-submit {
    width: 40%;
}
.footer-form .elementor-field-type-submit:after {
    right: -24px;
    height: 46px;
    width: 46px;
}
.btn-with-arrow .elementor-button:after {
    right: -49px;
    height: 50px;
    width: 50px;
}
.popup-enquiry-form .elementor-field-type-submit:after {
    height: 46px;
    width: 46px;  
    right: -40px;  
}
.services-enquiry-form .elementor-field-type-submit:after {
    height: 50px;
    width: 50px;
}
.contact-page-form .elementor-field-type-submit:after {
    right: -20px;
}
} 

@media only screen and (min-width: 1281px) and (max-width: 1366px) { 
.footer-form .elementor-field-type-submit:after {
    right: -28px;
    height: 50px;
    width: 50px;
}
.btn-with-arrow .elementor-button:after {
    right: -53px;
    height: 54px;
    width: 54px;
}
.popup-enquiry-form .elementor-field-type-submit:after {
    height: 50px;
    width: 50px;  
    right: -44px;  
}
.services-enquiry-form .elementor-field-type-submit:after {
    height: 54px;
    width: 54px;
}
.contact-page-form .elementor-field-type-submit:after {
    right: -24px;
}
}
 
@media only screen and (min-width: 1367px) and (max-width: 1440px) { 
.footer-form .elementor-field-type-submit:after {
    right: -28px;
    height: 50px;
    width: 50px;
}
.btn-with-arrow .elementor-button:after {
    right: -53px;
    height: 54px;
    width: 54px;
}
.popup-enquiry-form .elementor-field-type-submit:after {
    height: 50px;
    width: 50px;  
    right: -44px;  
}
.services-enquiry-form .elementor-field-type-submit:after {
    height: 54px;
    width: 54px;
}
.contact-page-form .elementor-field-type-submit:after {
    right: -24px;
}
}

@media (min-width: 1441px) and (max-width: 1680px) {
.footer-form .elementor-field-type-submit:after {
    right: -28px;
    height: 50px;
    width: 50px;
}
.btn-with-arrow .elementor-button:after {
    right: -53px;
    height: 54px;
    width: 54px;
}
.popup-enquiry-form .elementor-field-type-submit:after {
    height: 50px;
    width: 50px;  
    right: -44px;  
}
.services-enquiry-form .elementor-field-type-submit:after {
    height: 54px;
    width: 54px;
}
.contact-page-form .elementor-field-type-submit:after {
    right: -24px;
}
}